List qualifier verdicts
curl --request GET \
--url https://api.vollna.com/v1/filters/{id}/verdicts \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/filters/{id}/verdicts"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/filters/{id}/verdicts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/filters/{id}/verdicts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/filters/{id}/verdicts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vollna.com/v1/filters/{id}/verdicts")
.header("X-API-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/filters/{id}/verdicts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"filterId": 123,
"qualifierId": 123,
"timezone": "<string>",
"counts": {
"qualified": 123,
"disqualified": 123
},
"verdicts": [
{
"projectId": 123,
"title": "<string>",
"status": "qualified",
"reason": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"inFilter": true
}
],
"nextCursor": 123,
"note": "<string>"
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}AI Qualifier
List qualifier verdicts
Returns the AI qualifier’s verdicts on the filter’s jobs, newest job first, with qualified and disqualified totals. inFilter says whether the filter still matches the job today. Each job uses a project credit, like the feed
GET
/
filters
/
{id}
/
verdicts
List qualifier verdicts
curl --request GET \
--url https://api.vollna.com/v1/filters/{id}/verdicts \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/filters/{id}/verdicts"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/filters/{id}/verdicts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/filters/{id}/verdicts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/filters/{id}/verdicts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vollna.com/v1/filters/{id}/verdicts")
.header("X-API-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/filters/{id}/verdicts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"filterId": 123,
"qualifierId": 123,
"timezone": "<string>",
"counts": {
"qualified": 123,
"disqualified": 123
},
"verdicts": [
{
"projectId": 123,
"title": "<string>",
"status": "qualified",
"reason": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"inFilter": true
}
],
"nextCursor": 123,
"note": "<string>"
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Authorizations
API token for authentication
Path Parameters
Filter ID
Query Parameters
Only one verdict. Both when left out
Available options:
qualified, disqualified Verdicts per page
Required range:
1 <= x <= 50nextCursor of the previous page
Response
Successful operation
Show child attributes
Show child attributes
Was this page helpful?